Name:           gcompris
Version:        8.2
Release:        1%{?dist}
Summary:        Educational suite for kids 2-10 years old
Group:          Amusements/Games
License:        GPL
URL:            http://gcompris.net
Source0:        http://download.sf.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         gcompris-8.1-icon.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildrequires:  libgnomeui-devel sqlite-devel python-devel gnet2-devel
Buildrequires:  pygtk2-devel SDL_mixer-devel libXt-devel libXxf86vm-devel
Buildrequires:  gnome-python2 xorg-x11-proto-devel python-sqlite2 texi2html
Buildrequires:  texinfo perl(XML::Parser) gettext desktop-file-utils gnuchess
Requires:       gnuchess gnucap tuxpaint gcompris-flags hicolor-icon-theme
Requires:       pygtk2 python-sqlite2
Requires:       %{name}-libs = %{version}-%{release}
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
GCompris / I Got IT is an educationnal game for children starting at 2.
More than 100 different activities are proposed:
* Click on the animals => learn the mouse/click usage
* Type the falling letters => learn the keyboard usage
* Falling Dices
* Falling words
* Basic algebra
* Time learning with an analog clock
* Puzzle game with famous paintings
* Drive Plane to catch clouds in increasing number
* Balance the scales
* And much more ...

Some activities make use of sounds.  For those you'll have to install the         
gcompris-sound package for the languages you intend to use.


%description -l fr
GCompris / J'ai Compris est un logiciel éducatif pour les enfants 
à partir de 2 ans.

Plus de 100 activités sont proposées :
* Cliquer sur les animaux => apprentissage du click et de la souris
* Entrer les lettres qui tombent => Apprentissage du clavier
* Les dés qui tombent
* Les mots qui tombent
* Algèbre simple
* Apprentissage de la lecture de l'heure sur une horloge analogique
* Puzzle avec des tableaux célèbres
* Pilote un avion pour attraper les nuages dans l'ordre
* Equilibre la balance
* ...


%package libs
Summary:        GCompris core-engine library
Group:          System Environment/Libraries

%description libs
This package contains the shared library which contains the core-engine of
GCompris.


%package devel
Summary:        Development libraries and headers for gcompris-lib
Group:          Development/Libraries
Requires:       %{name}-libs = %{version}-%{release}
Requires:       libgnomecanvas-devel pkgconfig

%description devel
Developmental files for the core-engine library of GCompris


%package sound-cs
Summary:        GCompris voices in Tsjech
Group:          Amusements/Games

%description sound-cs
Voice samples for the GCompris games in Tsjech.


%package sound-da
Summary:        GCompris voices in Danish
Group:          Amusements/Games

%description sound-da
Voice samples for the GCompris games in Danish.


%package sound-de
Summary:        GCompris voices in German
Group:          Amusements/Games

%description sound-de
Voice samples for the GCompris games in German.


%package sound-en
Summary:        GCompris voices in English
Group:          Amusements/Games

%description sound-en
Voice samples for the GCompris games in English.


%package sound-es
Summary:        GCompris voices in Spanish
Group:          Amusements/Games

%description sound-es
Voice samples for the GCompris games in Spanish.


%package sound-fi
Summary:        GCompris voices in Finish
Group:          Amusements/Games

%description sound-fi
Voice samples for the GCompris games in Finish.


%package sound-fr
Summary:        GCompris voices in French
Group:          Amusements/Games

%description sound-fr
Voice samples for the GCompris games in French.


%package sound-hu
Summary:        GCompris voices in Hungarian
Group:          Amusements/Games

%description sound-hu
Voice samples for the GCompris games in Hungarian.


%package sound-it
Summary:        GCompris voices in Italian
Group:          Amusements/Games

%description sound-it
Voice samples for the GCompris games in Italian.


%package sound-mr
Summary:        GCompris voices in Indian Marathi
Group:          Amusements/Games

%description sound-mr
Voice samples for the GCompris games in Indian Marathi.


%package sound-nl
Summary:        GCompris voices in Dutch
Group:          Amusements/Games

%description sound-nl
Voice samples for the GCompris games in Dutch.


%package sound-pt
Summary:        GCompris voices in Portuguese
Group:          Amusements/Games

%description sound-pt
Voice samples for the GCompris games in Portuguese.


%package sound-ru
Summary:        GCompris voices in Russian
Group:          Amusements/Games

%description sound-ru
Voice samples for the GCompris games in Russian.


%package sound-so
Summary:        GCompris voices in Somali
Group:          Amusements/Games

%description sound-so
Voice samples for the GCompris games in Somali.


%package sound-sv
Summary:        GCompris voices in Swedish
Group:          Amusements/Games

%description sound-sv
Voice samples for the GCompris games in Swedish.


%package sound-tr
Summary:        GCompris voices in Turk
Group:          Amusements/Games

%description sound-tr
Voice samples for the GCompris games in Turk.


%package sound-eu
Summary:        GCompris voices in Basque
Group:          Amusements/Games

%description sound-eu
Voice samples for the GCompris games in Basque.


%package flags
Summary:        Country flags for use with GCompris (60x40 PNG)
Group:          Amusements/Games

%description flags
Country flags for use with GCompris (60x40 PNG).


%prep
%setup -q
%patch0 -p1
iconv -f ISO-8859-1 -t UTF8 docs/C/gcompris.info > tmp
mv tmp docs/C/gcompris.info


%build
# The configure check for python-gnome.canvas fails without X running,
# --enable-py-build-only works around this
%configure --enable-py-build-only --enable-gnet
# we can't use %%{?_smp_mflags} because that breaks compilation!
make 
# Fixup the desktop files a bit, we don't use a patch because that breaks
# the translations
sed -i 's/Name=Educational suite gcompris/Name=GCompris Educational suite/' \
  gcompris.desktop
sed -i \
  's/Comment=Administration for gcompris/GenericName=Administration for gcompris\nComment=Specify which activities may be used by whom/' \
  gcompris-edit.desktop


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT%{_libdir}/libgcompris-1.la
rm $RPM_BUILD_ROOT%{_libdir}/gcompris/lib*.la
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
rm -fr $RPM_BUILD_ROOT/usr/lib/menu
%find_lang %{name}

# below is the desktop file and icon stuff.
desktop-file-install --vendor fedora --delete-original                  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                         \
  --add-category X-Fedora                                               \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original                  \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                         \
  --add-category X-Fedora                                               \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-edit.desktop

mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps
mv $RPM_BUILD_ROOT/usr/share/pixmaps/%{name}.png \
  $RPM_BUILD_ROOT/usr/share/pixmaps/%{name}-edit.png \
  $RPM_BUILD_ROOT/usr/share/icons/hicolor/48x48/apps
rmdir $RPM_BUILD_ROOT/usr/share/pixmaps


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/%{name}
%{_libdir}/%{name}
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%{_datadir}/gcompris/boards/DOCUMENTATIONS
%{_datadir}/gcompris/boards/README
%{_datadir}/gcompris/boards/a*
%{_datadir}/gcompris/boards/b*
%{_datadir}/gcompris/boards/c*
%{_datadir}/gcompris/boards/d*
%{_datadir}/gcompris/boards/e*
%{_datadir}/gcompris/boards/f*.xml
%{_datadir}/gcompris/boards/fishes
%{_datadir}/gcompris/boards/g*
%{_datadir}/gcompris/boards/h*
%{_datadir}/gcompris/boards/i*
%{_datadir}/gcompris/boards/k*
%{_datadir}/gcompris/boards/l*
%{_datadir}/gcompris/boards/m*
%{_datadir}/gcompris/boards/n*
%{_datadir}/gcompris/boards/o*
%{_datadir}/gcompris/boards/p*
%{_datadir}/gcompris/boards/r*
%{_datadir}/gcompris/boards/s*.xml
%{_datadir}/gcompris/boards/scales
%{_datadir}/gcompris/boards/skins
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/*.ogg
%{_datadir}/gcompris/boards/sounds/melody
%{_datadir}/gcompris/boards/sounds/memory
%{_datadir}/gcompris/boards/sounds/chronos
%{_datadir}/gcompris/boards/sounds/LuneRouge
%{_datadir}/gcompris/boards/sounds/HOWTO_ENCODE
%{_datadir}/gcompris/boards/sounds/README
%{_datadir}/gcompris/boards/submarine
%{_datadir}/gcompris/boards/t*
%{_datadir}/gcompris/boards/w*
%{_datadir}/gcompris/python
%{_datadir}/gnome
%{_datadir}/icons/hicolor/48x48/apps/%{name}*.png
%{_datadir}/applications/fedora-%{name}*.desktop
%{_infodir}/%{name}.info.gz
%{_mandir}/man6/%{name}.6.gz

%files libs
%defattr(-,root,root,-)
%{_libdir}/libgcompris-1.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgcompris-1.0
%{_libdir}/libgcompris-1.so
%{_libdir}/pkgconfig/libgcompris-1.0.pc

%files sound-cs
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/cs

%files sound-da
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/da

%files sound-de
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/de

%files sound-en
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/en

%files sound-es
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/es

%files sound-fi
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/fi

%files sound-fr
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/fr

%files sound-hu
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/hu

%files sound-it
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/it

%files sound-mr
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/mr

%files sound-nl
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/nl

%files sound-pt
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/pt
%{_datadir}/gcompris/boards/sounds/pt_BR

%files sound-ru
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/ru

%files sound-so
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/so

%files sound-sv
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/sv

%files sound-tr
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/tr

%files sound-eu
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%dir %{_datadir}/gcompris/boards/sounds
%{_datadir}/gcompris/boards/sounds/eu

%files flags
%defattr(-,root,root,-)
%dir %{_datadir}/gcompris
%dir %{_datadir}/gcompris/boards
%{_datadir}/gcompris/boards/flags


%changelog
* Tue Nov  7 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 8.2-1
- New upstream release 8.2
- Drop most patches (integrated upstream)
- Drop seperate / addon man page (integrated upstream)

* Sun Oct 15 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 8.1-1
- New upstream release 8.1
- Drop most patches (integrated upstream)

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-14
- FE6 Rebuild

* Sun Aug 13 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-13
- Fix BZ 197758 (backport from upstream CVS)

* Mon Jul  3 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-12
- Restore the original resolution and ungrab the mouse on focus out, redo
  on focus in. This allows alt-tab-ing away when in fullscreen mode. And
  more importantly makes gnome-screensaver happy when trying to run while
  gcompris is running in fullscreen mode (BZ 197276).

* Mon Jun  5 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-11
- Various improvments to the new fullscreen code.

* Thu May 11 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-10
- Add a hard Requires on gcompris-libs version-release to the base package
  because upstream doesn't bump the soname version when the abi changes.
- Fix 2 more bugs introduced by the fix for bug 190918 (sigh, sorry).

* Tue May  9 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-9
- Fix 2 bugs introduced by the fix for bug 190918, see the bug for details.

* Sun May  7 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-8
- Change Xrandr BR to Xxf86vm BR.

* Sat May  6 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-7
- Use XF86VidMode instead of Xrandr extension for resolution switching,
  hopefully fixing bug 190918.

* Fri May  5 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-6
- Add missing python module Requires.

* Mon May  1 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-5
- Make -devel require -libs instead of -lib (oops).

* Sat Apr 29 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-4
- Add click_on_letter.patch from CVS which fixes a few problems with the
  click on letter activity when the sounds are not installed

* Thu Apr 27 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-3
- Don't use a patch on the .desktop files as that breaks the translations,
  instead use sed at the end of %%build

* Tue Apr 25 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-2
- Fix a few parser errors in nl.po
- Drop Patch0, instead use a configure option with the same effect

* Mon Apr 10 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 7.4-1
- Initial spec file
